/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "tile.h"

bool_t tileIsSolid(const tileid_t id) {
  switch(id) {
    case TILE_ID_NULL:
    case TILE_ID_GRASS:
      return false;
    
    default:
      return true;
  }
}