/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "texture.h"
#include "display/tileset.h"

extern const char* TILESET_GL_TEXTURES_PATHS[];
extern texture_t TILESET_GL_TEXTURES[];

/**
 * Binds the tileset to the OpenGL context.
 */
void tilesetGLBind();