/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "overworld/overworld.h"
#include "display/quad.h"
#include "display/shader/entityshader/entityshader.h"
#include "display/shader/mapshader/mapshader.h"

void overworldRender() {
  mapShaderUse();
  quadRender(
    OVERWORLD.map.width * OVERWORLD.map.height * OVERWORLD.map.layerCount
  );

  entityShaderUse();
  quadRender(OVERWORLD.entityCount);
}